org.apache.solr.handler.admin

## Class InfoHandler

- java.lang.Object
- - org.apache.solr.handler.RequestHandlerBase
  - - org.apache.solr.handler.admin.InfoHandler

- All Implemented Interfaces:
    SolrInfoMBean, NestedRequestHandler, SolrRequestHandler

      public class InfoHandler
      extends RequestHandlerBase

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.solr.core.SolrInfoMBean

      `SolrInfoMBean.Category`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CoreContainer` | `coreContainer`

    - ### Fields inherited from class org.apache.solr.handler.RequestHandlerBase

      `appends, defaults, httpCaching, initArgs, invariants`

    - ### Fields inherited from interface org.apache.solr.request.SolrRequestHandler

      `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InfoHandler(CoreContainer coreContainer)` Overloaded ctor to inject CoreContainer into the handler.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CoreContainer` | `getCoreContainer()` The instance of CoreContainer this handler handles.
    `String` | `getDescription()` Simple one or two line description
    `protected LoggingHandler` | `getLoggingHandler()`
    `protected PropertiesRequestHandler` | `getPropertiesHandler()`
    `SolrRequestHandler` | `getSubHandler(String subPath)` Return a RequestHandler to handle a subpath from the path this handler is registered.
    `protected SystemInfoHandler` | `getSystemInfoHandler()`
    `protected ThreadDumpHandler` | `getThreadDumpHandler()`
    `void` | `handleRequestBody(SolrQueryRequest req, SolrQueryResponse rsp)`
    `void` | `init(NamedList args)` Initializes the `SolrRequestHandler` by creating three `SolrParams` named.
    `protected void` | `setLoggingHandler(LoggingHandler loggingHandler)`
    `protected void` | `setPropertiesHandler(PropertiesRequestHandler propertiesHandler)`
    `protected void` | `setSystemInfoHandler(SystemInfoHandler systemInfoHandler)`
    `protected void` | `setThreadDumpHandler(ThreadDumpHandler threadDumpHandler)`

    - ### Methods inherited from class org.apache.solr.handler.RequestHandlerBase

      `getCategory, getDocs, getInitArgs, getName, getPluginInfo, getRequestHandler, getSolrParamsFromNamedList, getSource, getStatistics, getVersion, handleRequest, setPluginInfo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### coreContainer

          protected final CoreContainer coreContainer

  - ### Constructor Detail

    - #### InfoHandler

          public InfoHandler(CoreContainer coreContainer)

      Overloaded ctor to inject CoreContainer into the handler.
      Parameters:
        `coreContainer` - Core Container of the solr webapp installed.

  - ### Method Detail

    - #### init

          public final void init(NamedList args)

      Description copied from class: `RequestHandlerBase`
      Initializes the `SolrRequestHandler` by creating three `SolrParams` named.

      Name | Description
      --- | ---
      defaults | Contains all of the named arguments contained within the list element named "defaults".
      appends | Contains all of the named arguments contained within the list element named "appends".
      invariants | Contains all of the named arguments contained within the list element named "invariants".

      Example:

           <lst name="defaults">
           <str name="echoParams">explicit</str>
           <str name="qf">text^0.5 features^1.0 name^1.2 sku^1.5 id^10.0</str>
           <str name="mm">2<-1 5<-2 6<90%</str>
           <str name="bq">incubationdate_dt:[* TO NOW/DAY-1MONTH]^2.2</str>
           </lst>
           <lst name="appends">
           <str name="fq">inStock:true</str>
           </lst>

           <lst name="invariants">
           <str name="facet.field">cat</str>
           <str name="facet.field">manu_exact</str>
           <str name="facet.query">price:[* TO 500]</str>
           <str name="facet.query">price:[500 TO *]</str>
           </lst>

      Specified by:
        `init` in interface `SolrRequestHandler`
      Overrides:
        `init` in class `RequestHandlerBase`
      Parameters:
        `args` - The `NamedList` to initialize from
      See Also:
        `RequestHandlerBase.handleRequest(org.apache.solr.request.SolrQueryRequest, org.apache.solr.response.SolrQueryResponse)`, `RequestHandlerBase.handleRequestBody(org.apache.solr.request.SolrQueryRequest, org.apache.solr.response.SolrQueryResponse)`, `SolrPluginUtils.setDefaults(org.apache.solr.request.SolrQueryRequest, org.apache.solr.common.params.SolrParams, org.apache.solr.common.params.SolrParams, org.apache.solr.common.params.SolrParams)`, `See also the example solrconfig.xml located in the Solr codebase (example/solr/conf).`

    - #### getCoreContainer

          public CoreContainer getCoreContainer()

      The instance of CoreContainer this handler handles. This should be the CoreContainer instance that created this handler.
      Returns:
        a CoreContainer instance

    - #### handleRequestBody

          public void handleRequestBody(SolrQueryRequest req,
                                        SolrQueryResponse rsp)
                                 throws Exception

      Specified by:
        `handleRequestBody` in class `RequestHandlerBase`
      Throws:
        `Exception`

    - #### getDescription

          public String getDescription()

      Description copied from interface: `SolrInfoMBean`
      Simple one or two line description
      Specified by:
        `getDescription` in interface `SolrInfoMBean`
      Specified by:
        `getDescription` in class `RequestHandlerBase`

    - #### getPropertiesHandler

          protected PropertiesRequestHandler getPropertiesHandler()

    - #### getThreadDumpHandler

          protected ThreadDumpHandler getThreadDumpHandler()

    - #### getLoggingHandler

          protected LoggingHandler getLoggingHandler()

    - #### getSystemInfoHandler

          protected SystemInfoHandler getSystemInfoHandler()

    - #### setPropertiesHandler

          protected void setPropertiesHandler(PropertiesRequestHandler propertiesHandler)

    - #### setThreadDumpHandler

          protected void setThreadDumpHandler(ThreadDumpHandler threadDumpHandler)

    - #### setLoggingHandler

          protected void setLoggingHandler(LoggingHandler loggingHandler)

    - #### setSystemInfoHandler

          protected void setSystemInfoHandler(SystemInfoHandler systemInfoHandler)

    - #### getSubHandler

          public SolrRequestHandler getSubHandler(String subPath)

      Description copied from interface: `NestedRequestHandler`
      Return a RequestHandler to handle a subpath from the path this handler is registered.
      Specified by:
        `getSubHandler` in interface `NestedRequestHandler`
      Overrides:
        `getSubHandler` in class `RequestHandlerBase`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.